- Random123-1.09 Documentation

Classes | Typedefs

# r123 Namespace Reference

## Classes
class | AESNI1xm128i
struct | AESNI4x32
class | AESNI1xm128i_R
class | AESNI4x32_R
class | ARS1xm128i_R
class | ARS4x32_R
class | MicroURNG
class | Philox2x32_R
class | Philox4x32_R
class | Philox2x64_R
class | Philox4x64_R
struct | ReinterpretCtr
class | Threefry2x32_R
class | Threefry4x32_R
class | Threefry2x64_R
class | Threefry4x64_R
struct | Engine
## Typedefs
typedef r123array1x32 | Array1x32
typedef r123array2x32 | Array2x32
typedef r123array4x32 | Array4x32
typedef r123array8x32 | Array8x32
typedef r123array1x64 | Array1x64
typedef r123array2x64 | Array2x64
typedef r123array4x64 | Array4x64
typedef r123array16x8 | Array16x8
typedef r123array1xm128i | Array1xm128i
typedef ARS1xm128i_R < ars1xm128i_rounds > | ARS1xm128i
typedef ARS4x32_R< ars4x32_rounds > | ARS4x32
typedef Philox2x32_R < philox2x32_rounds > | Philox2x32
typedef Philox4x32_R < philox4x32_rounds > | Philox4x32
typedef Philox2x64_R < philox2x64_rounds > | Philox2x64
typedef Philox4x64_R < philox4x64_rounds > | Philox4x64
typedef Threefry2x32_R < threefry2x32_rounds > | Threefry2x32
typedef Threefry4x32_R < threefry4x32_rounds > | Threefry4x32
typedef Threefry2x64_R < threefry2x64_rounds > | Threefry2x64
typedef Threefry4x64_R < threefry4x64_rounds > | Threefry4x64

## Detailed Description

Most of the Random123 C++ API is contained in the r123 namespace.

## Typedef Documentation

typedef r123array16x8 r123::Array16x8

typedef r123array1x32 r123::Array1x32

typedef r123array1x64 r123::Array1x64

typedef r123array1xm128i r123::Array1xm128i

typedef r123array2x32 r123::Array2x32

typedef r123array2x64 r123::Array2x64

typedef r123array4x32 r123::Array4x32

typedef r123array4x64 r123::Array4x64

typedef r123array8x32 r123::Array8x32

typedef ARS1xm128i_R<ars1xm128i_rounds> r123::ARS1xm128i

typedef ARS4x32_R<ars4x32_rounds> r123::ARS4x32

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines